
class Header():
    def __init__(self):
        self.token = 0
        self.action = ""
        
    def set_token(self, token):
        self.token = token
        
    def set_action(self, action):
        self.action = action
            
    def to_dict(self) -> dict:
        return {
            "SessionId": self.token,
            "Action": self.action
        }
    def get_attributes_key(self):
        var_attributes: list[str] = []
        all_attributes = self.__dict__
        for k, _ in all_attributes:
            var_attributes.append(k)
        
class Body():
    def set_body(self, **kargs):
        for k, v in kargs.items():
            setattr(self, k, v)    
            
    def to_dict(self):
        return self.__dict__
    
    

            